<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Carrinho</title>
    <!-- Latest compiled and minified CSS -->
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">

    <!-- jQuery library -->
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>

    <!-- Popper JS -->
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.16.0/umd/popper.min.js"></script>

    <!-- Latest compiled JavaScript -->
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>

    <!--FOnt Awesome-->
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.11.2/css/all.css">

    <!--Handle bars-->
    <script src="https://cdn.jsdelivr.net/npm/handlebars@latest/dist/handlebars.js"></script>

</head>

<body>
    <!--menu-->
    <div class="container-fluid">
        <nav class="navbar navbar-expand-sm bg-dark navbar-dark">
            <!-- Brand 
            <a class="navbar-brand" href="#">Logo</a>-->

            <!-- Toggler/collapsibe Button -->
            <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#collapsibleNavbar">
                <span class="navbar-toggler-icon"></span>
            </button>

            <!-- Navbar links -->
            <div class="collapse navbar-collapse" id="collapsibleNavbar">
                <ul class="navbar-nav">
                    <li class="nav-item">
                        <a class="nav-link" href="/index"><i class="fas fa-home mr-1"></i>HOME</a>
                    </li>
                </ul>
            </div>



            <!--Nome do usuário do banco de dados-->
            <a href="/atualizar" class="mr-4">
                <i class="fas fa-user d-inline"></i>
                <p id="nomeUsuario" class="d-inline m-0">Nome Usuario</p>
            </a>

            <!--
            <form class="form-inline" action="/action_page.php">
                <input class="form-control mr-sm-2" type="text" placeholder="Procurar por produtos">
                <button class="btn btn-success" type="submit">Pesquisar</button>
            </form>-->
        </nav>

        <div class="container-fluid">
            <div class="row">
                <h1>Itens do Carrinho</h1>
            </div>

            <!--Título do carrinho-->
            <div class="row">
                <div class="col-sm-4">
                    <strong>
                        <p>Item</p>
                    </strong>
                </div>


            </div>


            <!--Pedidos-->

            <div id="conteudo">

            </div>


        </div>


        <script src="https://cdn.jsdelivr.net/npm/js-cookie@2/src/js.cookie.min.js"></script>

        <script>

            let a = JSON.parse(Cookies.get('usuario'))
            $("#nomeUsuario").html(a["nome"])

            //Script de pedidos


            var carrinho = JSON.parse(sessionStorage.getItem('carrinho'))

            if (carrinho != null) {


                var pedidos

                for (var i = 0; i < carrinho.length; i++) {
                    var id = {}
                    id.id = carrinho[i]
                    $.ajax({
                        type: 'POST',
                        url: '/produtos',
                        data: id,
                        dataType: 'JSON',
                        success: (prod) => {

                            pedidos = prod
                            //CRIAR LINHA
                            var divLinha = $("<div>")
                            divLinha.attr({
                                class: "row border mt-2"
                            })
                            $("#conteudo").append(divLinha)


                            //Coluna de largura 4 ===> 12 TOTAL
                            var divColuna = $("<div>")
                            divColuna.attr({
                                class: "col-sm-4"
                            })
                            divLinha.append(divColuna)

                            //Criar a imagem
                            var imagem = $("<img src=" + "../imagens/" + pedidos["id"] + ".png" + " style='heigth = 25px' width='50px'> </img>")
                            divColuna.append(imagem)

                            //Coluna de largura 4 ===> 12 TOTAL
                            var divColuna = $("<div>")
                            divColuna.attr({
                                class: "col-sm-4"
                            })
                            divLinha.append(divColuna)








                        }
                    })




                }
                //Botão de adicionar
                var botao = $("<button>").html("Finalizar a compra")
                botao.addClass("btn btn-success btn-add-cart2 mt-2")
                $("#conteudo").append(botao)


                


            }

            $().ready(function () {

                //Evento de adicionar ao carrinho
                $(".btn-add-cart2").click(function () {

                    //Id do produto

                    var carrinho = JSON.parse(sessionStorage.getItem('carrinho'))
                    var id
                    if (carrinho != null) {
                        $.ajax({
                            type: 'GET',
                            url: '/pedidos/id',
                            dataType: 'json',
                            success: (data) => {
                                id = parseInt(data)

                                var ped = {}
                                for (var i in carrinho) {
                                    ped.id = parseInt(id) + 1
                                    ped.item = parseInt(i) + 1
                                    ped.id_produto = carrinho[i]

                                    $.ajax({
                                        type: 'POST',
                                        url: '/pedidos',
                                        data: ped,
                                        dataType: 'json',
                                        success: (data) => {

                                            $.ajax({
                                                type: 'GET',
                                                url: '/pedidos/id',
                                                dataType: 'json',
                                                success: (data) => {
                                                    alert("Compra finalizada!")

                                                }
                                            })
                                        }
                                    })
                                }
                                let a = JSON.parse(Cookies.get('usuario'))

                                var hist = {}
                                hist.id_pedido = parseInt(data) + 1
                                hist.id_cliente = a["id"]
                                $.ajax({
                                    type: 'POST',
                                    url: '/historico',
                                    data: hist,
                                    dataType: 'json',
                                    success: (data) => {

                                        sessionStorage.removeItem('carrinho')
                                    }
                                })

                            }
                        })
                    }






                });
            });






        </script>
        <script src="../javascript/main-jquery.js"></script>

</body>

</html>